Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1696512 - glusterfs build is failing on rhel-6
Summary: glusterfs build is failing on rhel-6
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohit Agrawal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1699713
TreeView+ depends on / blocked
 
Reported: 2019-04-05 03:46 UTC by Mohit Agrawal
Modified: 2019-04-15 04:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1699713 (view as bug list)
Environment:
Last Closed: 2019-04-10 03:27:41 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22510 None Merged build: glusterfs build is failing on RHEL-6 2019-04-10 03:27:40 UTC

Description Mohit Agrawal 2019-04-05 03:46:28 UTC
Description of problem:
glusterfs build is failing on RHEL 6.

Version-Release number of selected component (if applicable):


How reproducible:
Run make for glusterfs on RHEL-6
make us throwing below error

.libs/glusterd_la-glusterd-utils.o: In function `glusterd_get_volopt_content':
/root/gluster_upstream/glusterfs/xlators/mgmt/glusterd/src/glusterd-utils.c:13333: undefined reference to `dlclose'
.libs/glusterd_la-glusterd-utils.o: In function `glusterd_get_value_for_vme_entry':
/root/gluster_upstream/glusterfs/xlators/mgmt/glusterd/src/glusterd-utils.c:12890: undefined reference to `dlclose'
.libs/glusterd_la-glusterd-volgen.o: In function `_gd_get_option_type':
/root/gluster_upstream/glusterfs/xlators/mgmt/glusterd/src/glusterd-volgen.c:6902: undefined reference to `dlclose'
.libs/glusterd_la-glusterd-quota.o: In function `_glusterd_validate_quota_opts':
/root/gluster_upstream/glusterfs/xlators/mgmt/glusterd/src/glusterd-quota.c:1947: undefined reference to `dlclose'
collect2: ld returned 1 exit status

Steps to Reproduce:
1.
2.
3.

Actual results:
glusterfs build is failing

Expected results:
the build should not fail

Additional info:

Comment 1 Worker Ant 2019-04-05 03:52:10 UTC
REVIEW: https://review.gluster.org/22510 (build: glusterfs build is failing on RHEL-6) posted (#1) for review on master by MOHIT AGRAWAL

Comment 2 Worker Ant 2019-04-10 03:27:41 UTC
REVIEW: https://review.gluster.org/22510 (build: glusterfs build is failing on RHEL-6) merged (#3) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.